View Issue Details

IDProjectCategoryView StatusLast Update
0004943Talermechant backendpublic2017-10-18 15:42
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0004943: backend does not store or verify wire transfer fee correctness
DescriptionRight now, the backend fails to store the wire transfer fees it obtained from the exchange during /pay, and then later does not check that the exchange didn't just charge a higher fee when it did the real wire transfer.

We should
1) store the wire fees (with exchange sig) in the DB
2) check that the exchange did not overcharge, and if not complain (in logs, and with error message to frontend)
TagsNo tags attached.

Activities

Christian Grothoff

2017-07-20 12:56

manager   ~0012360

Fees are now stored, and logic to retrieve fees exists and is tested.

Actual _checking_ still needs to be implemented.

Christian Grothoff

2017-07-23 14:31

manager   ~0012364

Fixed with Git 2d3fcf511582a69f4ee18a671b6cb2fba2dbdff6

Issue History

Date Modified Username Field Change
2017-03-08 00:04 Christian Grothoff New Issue
2017-03-08 00:04 Christian Grothoff Status new => assigned
2017-03-08 00:04 Christian Grothoff Assigned To => Marcello Stanisci
2017-03-08 00:04 Christian Grothoff Assigned To Marcello Stanisci =>
2017-03-08 00:04 Christian Grothoff Status assigned => confirmed
2017-03-08 13:15 Christian Grothoff Relationship added child of 0004929
2017-03-18 23:27 Christian Grothoff Target Version => 0.7
2017-03-18 23:40 Christian Grothoff Assigned To => Christian Grothoff
2017-03-18 23:40 Christian Grothoff Status confirmed => assigned
2017-03-19 06:54 Christian Grothoff Relationship deleted child of 0004929
2017-07-01 14:40 Christian Grothoff Target Version 0.7 => 0.6
2017-07-20 12:56 Christian Grothoff Note Added: 0012360
2017-07-23 14:31 Christian Grothoff Status assigned => resolved
2017-07-23 14:31 Christian Grothoff Resolution open => fixed
2017-07-23 14:31 Christian Grothoff Fixed in Version => 0.4
2017-07-23 14:31 Christian Grothoff Note Added: 0012364
2017-07-23 14:34 Christian Grothoff Target Version 0.6 => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed